/* Elvira Bluetooth FTP 
 * Copyright (C) 2007  Alberto Salas Bragado
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef CALLBACKS_H_
#define CALLBACKS_H_

#include "../adaptation/types.h"
#include "common_op.h"
#include "common_gtk.h"

/* Callbacks de la ventana principal */
void on_mainWindow_destroy();
void on_btnConectar_clicked(GtkToolButton *button, gpointer user_data);
void on_lstRemote_row_activated(GtkTreeView *treeview, GtkTreePath *path,
		GtkTreeViewColumn *col, gpointer userdata);
void on_lstLocal_row_activated(GtkTreeView *treeview, GtkTreePath *path,
		GtkTreeViewColumn *col, gpointer userdata);
void on_btnGet_clicked(GtkButton *button, gpointer user_data);
void on_btnPut_clicked(GtkButton *button, gpointer user_data);
void on_btnDirLocal_clicked(GtkToolButton *button, gpointer user_data);
void on_btnDirRemote_clicked(GtkToolButton *button, gpointer user_data);
void on_btnDelRemote_clicked(GtkToolButton *button, gpointer user_data);
void on_btnDelLocal_clicked(GtkToolButton *button, gpointer user_data);

/* Callbacks de la ventana de conexión */
void on_connWindow_delete_event();
void on_btnBusquedaBuscar_clicked(GtkButton *button, gpointer user_data);
void on_btnBusquedaConectar_clicked(GtkButton *button, gpointer user_data);
void on_btnFavoritosConectar_clicked(GtkButton *button, gpointer user_data);
void on_btnAddFavorite_clicked(GtkButton *button, gpointer user_data);
void on_btnDelFavorite_clicked(GtkButton *button, gpointer user_data);

/* Callbacks de la ventana de error de conexión */
void on_errorDialog_delete_event();
void on_btnErrorOK_clicked(GtkButton *button, gpointer user_data);

/* Callbacks de la ventana de confirmación de eliminacion de fichero remoto */
void on_delRemoteDialog_response(GtkDialog * dialogo, gint response, gpointer data);
void on_delLocalDialog_response(GtkDialog * dialogo, gint response, gpointer data);
void on_delDialog_delete_event();

/* Callbacks de la ventana de nuevo directorio */
void on_newDirRemote_response(GtkDialog * dialogo, gint response, gpointer data);
void on_newDirLocal_response(GtkDialog * dialogo, gint response, gpointer data);
void on_newDirDialog_delete_event();
void on_txtNewDir_activate();

/* Callbacks de la ventana de progreso de transferencia */
void on_progressDialog_delete_event();

#endif /*CALLBACKS_H_*/
